Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
Event.h File Reference

Libargus API: Event API More...

Go to the source code of this file.

## Classes
class | Argus::Event
class | Argus::EventType
| A unique identifier for a particular type of Event. More...
class | Argus::IEvent
| Interface to the common Event properties. More...
class | Argus::IEventError
| Interface exposed by Events having type EVENT_TYPE_ERROR. More...
class | Argus::IEventCaptureComplete
| Interface exposed by Events having type EVENT_TYPE_CAPTURE_COMPLETE. More...

## Namespaces
namespace | Argus

## Functions
| Argus::DEFINE_UUID (EventType, EVENT_TYPE_ERROR, 2c80d8b0, 2bfd, 11e5, a2cb, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (EventType, EVENT_TYPE_CAPTURE_STARTED, 2c80d8b1, 2bfd, 11e5, a2cb, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (EventType, EVENT_TYPE_CAPTURE_COMPLETE, 2c80d8b2, 2bfd, 11e5, a2cb, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_EVENT, 98bcb49e, fd7d, 11e4, a322, 16, 97, f9, 25, ec, 7b)
| Argus::DEFINE_UUID (InterfaceID, IID_EVENT_ERROR, 13e0fc70, 1ab6, 11e5, b939, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_EVENT_CAPTURE_COMPLETE, 8b2b40b5, f1e4, 4c4d, ae1c, f3, 93, f6, 54, 06, d5)

## Detailed Description

Libargus API: Event API

Description: Defines the Event objects and interfaces.

Definition in file Event.h.